Bug 1147356 - Review Request: python-tilestache - A stylish alternative for caching your map tiles
Summary: Review Request: python-tilestache - A stylish alternative for caching your ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1147351
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-29 05:55 UTC by Scott K Logan
Modified: 2015-01-06 18:59 UTC (History)
3 users (show)

Fixed In Version: python-tilestache-1.49.11-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 18:58:34 UTC
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Scott K Logan 2014-09-29 05:55:38 UTC
Spec URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache.spec
SRPM URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache-1.49.11-1.fc21.src.rpm

Description:
TileStache is a Python-based server application that can serve up map tiles
based on rendered geographic data. You might be familiar with TileCache, the
venerable open source WMS server from MetaCarta. TileStache is similar, but we
hope simpler and better-suited to the needs of designers and cartographers.

Fedora Account System Username: cottsay

Koji scratch builds:
f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=7716964
f21: http://koji.fedoraproject.org/koji/taskinfo?taskID=7716962

rpmlint output:
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-seed.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-render.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-list.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-compose.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-clean.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-server.py
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Thanks,

--scott

Comment 1 Scott K Logan 2014-09-29 05:56:27 UTC
This package has a runtime dependency on python-modestmaps, which is under review.

Comment 2 Volker Fröhlich 2014-09-29 15:47:33 UTC
* You can remove the version constraint for python-modestmaps, as Fedora will not ship a version older than that.
* You should remove the macros you define on top, unless you plan to release for EPEL 6.
* Patch names should follow the %{name}-* convention.
* Does it work with Python 3 too?
* I'm not sure if it makes sense to restore the timestamp for GoogleCloud.py, as you are actually altering it
* (bundeled -- Typo)

Comment 3 Volker Fröhlich 2014-09-29 15:49:02 UTC
You don't need to define CFLAGS on a noarch package.

Comment 4 Scott K Logan 2014-10-04 23:28:27 UTC
* version constraint: removed
* macros: removed (will target epel7, though)
* patches: renamed
* python3: package source is incompatible
* timestamp: not restored
* typo: fixed
* cflags: removed

Spec URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache.spec

Thanks for your feedback!

--scott

Comment 5 Julien Enselme 2014-11-29 20:47:35 UTC
Please update your srpm with the new spec.

Comment 6 Scott K Logan 2014-11-30 20:40:29 UTC
Thanks for picking up the review, Julien.

SRPM updated:

Spec URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache.spec
SRPM URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache-1.49.11-2.fc20.src.rpm

Thanks again,

--scott

Comment 7 Julien Enselme 2014-12-15 09:28:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 51 files have unknown license. Detailed output of
     licensecheck in /var/tmp/1147356-python-tilestache/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[!]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 573440 bytes in 51 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-tilestache-1.49.11-2.fc21.noarch.rpm
          python-tilestache-1.49.11-2.fc21.src.rpm
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-seed.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-render.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-list.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-compose.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-clean.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-server.py
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@fastolfe /]# rpmlint python-tilestache
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-seed.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-render.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-list.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-compose.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-clean.py
python-tilestache.noarch: W: no-manual-page-for-binary tilestache-server.py
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
]0;<mock-chroot><mock-chroot>[root@fastolfe /]# echo 'rpmlint-done:'



Requires
--------
python-tilestache (rpmlib, GLIBC filtered):
    /usr/bin/python2
    font(dejavusansmono)
    python(abi)
    python-imaging
    python-modestmaps
    python-simplejson
    python-werkzeug



Provides
--------
python-tilestache:
    python-tilestache



Source checksums
----------------
https://pypi.python.org/packages/source/T/TileStache/TileStache-1.49.11.tar.gz :
  CHECKSUM(SHA256) this package     : 6268a4696ceba97ad84de759804bd613ed63e7e40177df42d1eb25fe5677cb10
  CHECKSUM(SHA256) upstream package : 6268a4696ceba97ad84de759804bd613ed63e7e40177df42d1eb25fe5677cb10


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1147356
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


- Please add -O1 to setup.py install.
- In the %doc section, please add only the file you need.
- %{python2_sitelib}/TileStache: please add a / at the end.

Comment 8 Scott K Logan 2014-12-16 06:17:32 UTC
Is there an official policy on -O1? I'd really like to see some documentation. I added it, in any case.

Not sure what you mean by the %doc comment, but I updated the upstream to use GitHub instead of Pypi, and the docs are all there now, as is the LICENSE file.

I added a -examples subpackage as well.

SRPM updated:

Spec URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache.spec
SRPM URL: https://cottsay.fedorapeople.org/python-tilestache/python-tilestache-1.49.11-3.fc22.src.rpm

Thanks again,

--scott

Comment 9 Julien Enselme 2014-12-16 16:49:52 UTC
(In reply to Scott K Logan from comment #8)
> Is there an official policy on -O1? I'd really like to see some
> documentation. I added it, in any case.
I am not able to find where I first saw it. It is not mentionned on https://fedoraproject.org/wiki/Packaging:Python so I think it is not mandatory and it is just a habit I have.

> 
> Not sure what you mean by the %doc comment, but I updated the upstream to
> use GitHub instead of Pypi, and the docs are all there now, as is the
> LICENSE file.

The %doc problem is fixed now.

> 
> I added a -examples subpackage as well.
OK.

Approuved!

Comment 10 Scott K Logan 2014-12-16 18:00:06 UTC
Thank you, Julien!

Comment 11 Scott K Logan 2014-12-16 18:02:09 UTC
New Package SCM Request
=======================
Package Name: python-tilestache
Short Description: A stylish alternative for caching your map tiles
Upstream URL: http://tilestache.org/
Owners: cottsay
Branches: f19 f20 f21 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2014-12-16 18:46:25 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-12-21 02:20:50 UTC
python-tilestache-1.49.11-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-tilestache-1.49.11-3.el7

Comment 14 Fedora Update System 2014-12-21 02:20:57 UTC
python-tilestache-1.49.11-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-tilestache-1.49.11-3.fc19

Comment 15 Fedora Update System 2014-12-21 02:21:03 UTC
python-tilestache-1.49.11-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-tilestache-1.49.11-3.fc21

Comment 16 Fedora Update System 2014-12-21 02:21:09 UTC
python-tilestache-1.49.11-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-tilestache-1.49.11-3.fc20

Comment 17 Fedora Update System 2014-12-21 17:43:53 UTC
python-tilestache-1.49.11-3.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 18 Fedora Update System 2015-01-03 18:58:34 UTC
python-tilestache-1.49.11-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2015-01-03 19:03:08 UTC
python-tilestache-1.49.11-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 20 Fedora Update System 2015-01-03 19:12:09 UTC
python-tilestache-1.49.11-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 21 Fedora Update System 2015-01-06 18:59:54 UTC
python-tilestache-1.49.11-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.